diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/post-thumbnail-template.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/post-thumbnail-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/post-thumbnail-template.php	2012-12-29 11:59:08.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/post-thumbnail-template.php	2013-09-19 21:51:09.000000000 -0500
***************
*** 85,97 ****
  function get_the_post_thumbnail( $post_id = null, $size = 'post-thumbnail', $attr = '' ) {
  	$post_id = ( null === $post_id ) ? get_the_ID() : $post_id;
  	$post_thumbnail_id = get_post_thumbnail_id( $post_id );
  	$size = apply_filters( 'post_thumbnail_size', $size );
  	if ( $post_thumbnail_id ) {
! 		do_action( 'begin_fetch_post_thumbnail_html', $post_id, $post_thumbnail_id, $size ); // for "Just In Time" filtering of all of wp_get_attachment_image()'s filters
  		if ( in_the_loop() )
  			update_post_thumbnail_cache();
  		$html = wp_get_attachment_image( $post_thumbnail_id, $size, false, $attr );
  		do_action( 'end_fetch_post_thumbnail_html', $post_id, $post_thumbnail_id, $size );
  	} else {
  		$html = '';
  	}
--- 85,129 ----
  function get_the_post_thumbnail( $post_id = null, $size = 'post-thumbnail', $attr = '' ) {
  	$post_id = ( null === $post_id ) ? get_the_ID() : $post_id;
  	$post_thumbnail_id = get_post_thumbnail_id( $post_id );
+ 
+ 	/**
+ 	 * Filter the post thumbnail size.
+ 	 *
+ 	 * @since 2.9.0
+ 	 *
+ 	 * @param string $size The post thumbnail size.
+ 	 */
  	$size = apply_filters( 'post_thumbnail_size', $size );
+ 
  	if ( $post_thumbnail_id ) {
! 
! 		/**
! 		 * Fires before fetching the post thumbnail HTML.
! 		 *
! 		 * Provides "just in time" filtering of all filters in wp_get_attachment_image().
! 		 *
! 		 * @since 2.9.0
! 		 *
! 		 * @param string $post_id           The post ID.
! 		 * @param string $post_thumbnail_id The post thumbnail ID.
! 		 * @param string $size              The post thumbnail size.
! 		 */
! 		do_action( 'begin_fetch_post_thumbnail_html', $post_id, $post_thumbnail_id, $size );
  		if ( in_the_loop() )
  			update_post_thumbnail_cache();
  		$html = wp_get_attachment_image( $post_thumbnail_id, $size, false, $attr );
+ 
+ 		/**
+ 		 * Fires after fetching the post thumbnail HTML.
+ 		 *
+ 		 * @since 2.9.0
+ 		 *
+ 		 * @param string $post_id           The post ID.
+ 		 * @param string $post_thumbnail_id The post thumbnail ID.
+ 		 * @param string $size              The post thumbnail size.
+ 		 */
  		do_action( 'end_fetch_post_thumbnail_html', $post_id, $post_thumbnail_id, $size );
+ 
  	} else {
  		$html = '';
  	}
***************
*** 95,99 ****
--- 127,142 ----
  	} else {
  		$html = '';
  	}
+ 	/**
+ 	 * Filter the post thumbnail HTML.
+ 	 *
+ 	 * @since 2.9.0
+ 	 *
+ 	 * @param string $html              The post thumbnail HTML.
+ 	 * @param string $post_id           The post ID.
+ 	 * @param string $post_thumbnail_id The post thumbnail ID.
+ 	 * @param string $size              The post thumbnail size.
+ 	 * @param string $attr              Query string of attributes.
+ 	 */
  	return apply_filters( 'post_thumbnail_html', $html, $post_id, $post_thumbnail_id, $size, $attr );
  }
